<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetAt Method (IEdmEnum)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnum Interface : GetAt Method (IEdmEnum)

Visual Basic
C#
C++/CLI

lIndex
  Zero-based index of the element to retrieve

Gets the element at the specified position in the list.

# Syntax

Visual Basic |
--- | ---

    Function GetAt( _
       ByVal lIndex As System.Integer _
    ) As System.Object

C# |
--- | ---

    System.object GetAt(
       System.int lIndex
    )

C++/CLI |
--- | ---

    System.Object^ GetAt(
    &   System.int lIndex
    )

#### Parameters

lIndex
  Zero-based index of the element to retrieve

#### Return Value

Element at the specified position

# Remarks

To enumerate a list, call IEdmEnum::MoveNext and IEdmEnum::Current, both of which are more efficient than this method.

Return codes:

- S_OK: The method successfully executed.
- E_INVALIDARG: The specified index is outside the range of this list.

# See Also

####

IEdmEnum Interface
IEdmEnum Members

# Availability

SOLIDWORKS PDM Professional 2013